密钥概览
| 密钥版本 | V4 |
|---|---|
| 规范 | RFC 2440 · RFC 4880 · RFC 9580 |
| 状态 | 兼容,但已被 RFC 9580 弃用 |
| 主密钥(认证、签名) | ECDSA NIST P-256 · ID 19 · SHA-256 |
| 加密子密钥 | ECDH NIST P-256 · ID 18 |
| 指纹 | 9035B23C46C6563DF82B9E4AFD8B9262EA769B30 |
| 私钥口令 | synthetic-key-password |
算法与用途
ECDSA NIST P-256: NIST P-256 曲线上的椭圆曲线签名,常见于智能卡、HSM 和要求使用 NIST 曲线的环境。
ECDH NIST P-256: NIST P-256. 上的椭圆曲线 Diffie–Hellman 加密子密钥。
公钥
包含主密钥、加密子密钥及其绑定签名的公开证书。导入后可验证签名,或向此测试身份加密数据。
下载 → 725 字节
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9zSZDSC1KIG1hdHJp
eCAyMS12NC1lY2RzYS1wMjU2K2VjZGgtcDI1NsKMBBMTCAA0BQJq94T/FiEEkDWy
PEbGVj34K55K/YuSYup2mzACGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRD9i5Ji
6nabMCpEAQCx7hJxkEYid8QSVBgYQ75UIhUkk5UCgBt2BFnMz0Y92QEAwxc+ut0c
P1Nw8Vj4j1P8y14TPsnXZlD9Z2EupbOBLx7OVgRq94T/EggqhkjOPQMBBwIDBAPh
yQIH6+6XdJj+CNhL8djMYuA2qdGo91dpPFsIQawnf8gBndG/8GYKiaQ7Kk3m+JTe
WrURcrfp6CnfmMLmtxoDAQgHwngEGBMIACAFAmr3hP8WIQSQNbI8RsZWPfgrnkr9
i5Ji6nabMAIbDAAKCRD9i5Ji6nabMBT1AQCtittaItUx5XMRZ+wmM+LbbVxTR+Yt
zwpGTHDiVHMMrgD+IPYPe/UFmG3UTGeISGKKkuGiHB1Oo/akskAikO4t4Y4=
=lumU
-----END PGP PUBLIC KEY BLOCK-----
私钥
由上方所示口令保护的私钥。仅为测试而公开,任何人都可使用。
下载 → 951 字节
显示
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaUEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9/gkDCFURBCm9cjNe
4EN4aM1H5Zk18vmdR9Orrrh0qYonW1kRXrcoDIJn+qu6pXHpSNuhmvNpH/J2VR2H
knqkyWQBwS0Ny0MNcJIfeFdtyDcSU4HNJkNILUogbWF0cml4IDIxLXY0LWVjZHNh
LXAyNTYrZWNkaC1wMjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji
6nabMAIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQ
RiJ3xBJUGBhDvlQiFSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+
yddmUP1nYS6ls4EvHsepBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx
2Mxi4Dap0aj3V2k8WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3
GgMBCAf+CQMIVczLM7xTf1ngxa7cGuQZK+wSYgMgYe9qNrtY9C+wJ4Uyk5o2+vQD
wO0NeGmBe3D9fsglKFVub/2Le++MWokdGxhSgqXzompyM8nlN8UGY8J4BBgTCAAg
BQJq94T/FiEEkDWyPEbGVj34K55K/YuSYup2mzACGwwACgkQ/YuSYup2mzAU9QEA
rYrbWiLVMeVzEWfsJjPi221cU0fmLc8KRkxw4lRzDK4A/iD2D3v1BZht1ExniEhi
ipLhohwdTqP2pLJAIpDuLeGO
=9LHf
-----END PGP PRIVATE KEY BLOCK-----
吊销证书
预先生成的吊销证书。导入后会将密钥标记为已吊销;公开此证书是为了让您测试软件如何处理已吊销的密钥。
下载 → 888 字节
显示
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9wnUEIBMIAB0FAmr3
hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAAKCRD9i5Ji6nabMMMvAQDZsYafgU8w
DxL/9AIp7XyUdZgD+TALeB9DCYv8pHAqjQD/TL5S2FlR1+h/e5fB7hvYH8upxWOB
XxDnjEgnxk5wvdjNJkNILUogbWF0cml4IDIxLXY0LWVjZHNhLXAyNTYrZWNkaC1w
MjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAIbAwIeAQML
CQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQRiJ3xBJUGBhDvlQi
FSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+yddmUP1nYS6ls4Ev
Hs5WBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx2Mxi4Dap0aj3V2k8
WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3GgMBCAfCeAQYEwgA
IAUCaveE/xYhBJA1sjxGxlY9+CueSv2LkmLqdpswAhsMAAoJEP2LkmLqdpswFPUB
AK2K21oi1THlcxFn7CYz4tttXFNH5i3PCkZMcOJUcwyuAP4g9g979QWYbdRMZ4hI
YoqS4aIcHU6j9qSyQCKQ7i3hjg==
=y/vE
-----END PGP PUBLIC KEY BLOCK-----
test_1MB.bin 的签名
在 CH-J Tools 中使用此密钥生成的 test_1MB.bin 的 ASCII 装甲格式分离签名。请将其保存为 test_1MB.bin.asc,与测试文件放在同一目录。
下载 → 228 字节
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAUCaveO8QAKCRD9i5Ji6nab
MKkPAQCGF3CU65a6U9xHp5Pnn6N9upLJTk9mkd9bxE6mghNDiwD+MXFxKbjlwS5B
thbU1fKoTtT9z5QRjlfFCuPe+y/a6wE=
=loPC
-----END PGP SIGNATURE-----
验证签名
版本 4 的密钥可在算法受支持的情况下用于 GnuPG 以及 sqop、rsop 等 SOP 工具。请使用临时 GNUPGHOME,避免将测试密钥导入实际使用的密钥环:
gpg --import pgp-example-21-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin